<?php
/**
 * Short Description
 *
 * @package    BP4_dev
 * @subpackage ${NAMESPACE}
 * @copyright  Copyright (c) 2019, Brajesh Singh
 * @license    https://www.gnu.org/licenses/gpl.html GNU Public License
 * @author     Brajesh Singh
 * @since      1.0.0
 */

namespace BP_Friendship_Restrictions\Core;

/**
 * Class BPF_Restrictions_Criteria
 */
class Restrictions_Criteria {

	/**
	 * Get criteria.
	 *
	 * @return Restrictions_Default|Restrictions_Role|Restrictions_Member_Type
	 */
	public static function get() {
		$criteria = bpf_restrictions_get_option( 'restrict_by' );
		if ( 'role' === $criteria ) {
			return new Restrictions_Role();
		} elseif ( 'member_type' === $criteria ) {
			return new Restrictions_Member_Type();
		}

		return new Restrictions_Default();
	}
}